# REST Resource: regionHealthAggregationPolicies

- [Resource: HealthAggregationPolicy](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies#HealthAggregationPolicy)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies#HealthAggregationPolicy.SCHEMA_REPRESENTATION)
- [Methods](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies#METHODS_SUMMARY)

## Resource: HealthAggregationPolicy

Represents a health aggregation policy.

A health aggregation policy resource defines a policy to aggregate health.

For more information, see [Health checks overview](https://docs.cloud.google.com/load-balancing/docs/health-check-concepts).

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "selfLinkWithId": string, "region": string, "policyType": enum, "healthyPercentThreshold": integer, "minHealthyThreshold": integer, "fingerprint": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#healthAggregationPolicy` for health aggregation policies. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of this resource. Provide this property when you create the resource. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `selfLinkWithId` | `string` Output only. Server-defined URL with id for the resource. |
| `region` | `string` Output only. URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
| `policyType` | `enum` Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is `DNS_PUBLIC_IP_POLICY`. The only allowed value for regional resources is `BACKEND_SERVICE_POLICY`. Must be specified when the healthAggregationPolicy is created, and cannot be mutated. |
| `healthyPercentThreshold` | `integer (https://developers.google.com/discovery/v1/type-format format)` Can only be set if the `policyType` field is `BACKEND_SERVICE_POLICY`. Specifies the threshold (as a percentage) of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to `60`. Must be in range \[0, 100\]. Not applicable if the `policyType` field is `DNB_PUBLIC_IP_POLICY`. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and `minHealthyThreshold` must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group. |
| `minHealthyThreshold` | `integer (https://developers.google.com/discovery/v1/type-format format)` Can only be set if the `policyType` field is `BACKEND_SERVICE_POLICY`. Specifies the minimum number of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to `1`. Must be positive. Not applicable if the `policyType` field is `DNB_PUBLIC_IP_POLICY`. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and `healthyPercentThreshold` must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group. |
| `fingerprint` | `string (https://developers.google.com/discovery/v1/type-format format)` Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a `HealthAggregationPolicy`. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error `412 conditionNotMet`. To see the latest fingerprint, make a `get()` request to retrieve the HealthAggregationPolicy. A base64-encoded string. |

| ## Methods ||
|---|---|
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/aggregatedList` | Retrieves the list of all `HealthAggregationPolicy` resources, regional and global, available to the specified project. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/delete` | Deletes the specified HealthAggregationPolicy in the given region. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/get` | Returns the specified HealthAggregationPolicy resource in the given region. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/insert` | Create a HealthAggregationPolicy in the specified project in the given region using the parameters that are included in the request. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/list` | Lists the HealthAggregationPolicies for a project in the given region. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/patch` | Updates the specified regional `HealthAggregationPolicy` resource with the data included in the request. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/testIamPermissions` | Returns permissions that a caller has on the specified resource. |